
%global srcname betamax
%global py3_prefix python%{python3_pkgversion}

# tests need internet access therefore disabled by default
# $ fedpkg mockbuild --enable-network --with=tests
%bcond_with tests

Name:           python-%{srcname}
Version:        0.7.1
Release:        2%{?dist}
Summary:        VCR imitation for python-requests

License:        ASL 2.0
URL:            https://github.com/sigmavirus24/%{srcname}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if %{with tests}
BuildRequires:  python-mock
BuildRequires:  python-pytest
BuildRequires:  python-requests >= 2.0
%endif
Requires:       python-requests >= 2.0

%global _description \
Betamax is a VCR_ imitation for requests. This will make mocking out requests\
much easier.

%description %{_description}

%package -n %{py3_prefix}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  %{py3_prefix}-devel
BuildRequires:  %{py3_prefix}-setuptools
%if %{with tests}
BuildRequires:  %{py3_prefix}-pytest
BuildRequires:  %{py3_prefix}-requests >= 2.0
%endif
Requires:       %{py3_prefix}-requests >= 2.0

%description -n %{py3_prefix}-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%if %{with tests}
# test_pytest_fixture: not sure why it fails but better run some tests than none
# test_replays_response_from_cassette: https://github.com/betamaxpy/betamax/issues/184
TEST_SELECTOR="not test_pytest_fixture and not test_replays_response_from_cassette"
# test_serialize_interaction: Python 2 I saw a lower-cased Content-Type header
# in request but capitalized header name in response
py.test -vk "$TEST_SELECTOR and not test_serialize_interaction"
py.test-%{python3_version} -vk "$TEST_SELECTOR"
%endif

%files -n python-%{srcname}
%doc README.rst
%license LICENSE
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}-*.egg-info/

%files -n %{py3_prefix}-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Sun Apr 12 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 0.7.1-2
- add Python 3 subpackage (rhbz #1823097)

* Wed Jan 24 2018 Parag Nemade <pnemade AT redhat DOT com> - 0.7.1-1
- Initial packaging
